#!/bin/bash
#MSUB -l nodes=1:ppn=4
#MSUB -l walltime=00:10:00
#Load required module files
#msub -I -V -l nodes=1:ppn=4,pmem=5000mb -l
#walltime=0:02:00:00
workingdir=~/testscript/
module load compiler/intel/19.0
module load mpi/openmpi/4.0
mpicc -o $(workingdir)helloworld $(workingdir)helloworld.c -no-multibyte-chars
mpirun -n 1 $(workingdir)helloworld
echo "-------------------"
mpirun -n 2 $(workingdir)helloworld
echo "------------------"
mpirun -n 4 $(workingdir)helloworld
echo "--------------------"
